<?php
$iniUrl = '../';
include($iniUrl . 'header.php');
include($iniUrl . 'dtload.php');
$level = $_SESSION['levelSession'];
?>

<style>
	.text-cut { text-overflow: ellipsis; overflow: hidden; max-width: 500px}
	.alert-text {text-align: justify; font-weight: 400; margin-top: 16px;}

	.tooltip {
	  font-size: 13px;
		font-family: 'Source Sans Pro', Arial, sans-serif;
	}
	.tooltip-inner {  max-width: 400px;  padding: 4px 12px;  color: #fff;  text-align: justify;  background-color: #000;  border-radius: 4px;}

	#registro, #bn_container {display: inline-block;}

	@media screen and (max-width: 768px) {
	    .text-cut span {white-space: normal; }
	    .tooltip-inner {  max-width: 280px;
	}
</style>

<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
	<!-- Content Header (Page header) -->
	<section class="content-header">
	  <h1>Ordenanzas <small>Inicio</small></h1>
	</section>

	<!-- Main content -->
	<section class="content">

	  <div class="row">
	    <div class="col-xs-12">
	      	<div class="box box-info">
	        	<div class="box-header with-border">
	          	<h3 class="box-title pull-left">Control & Edici&oacute;n</h3>
		          	<div class="hidden-xs">
			          <span style="margin-right: 4px;" class="label label-warning pull-right">Insistencia</span>
			          <span style="margin-right: 4px;" class="label label-success pull-right">Prorroga</span>
			          <span style="margin-right: 4px;" class="label label-primary pull-right">Suspensión</span>
			          <span style="margin-right: 4px;" class="label label-default pull-right">Veto D.E.</span>
			          <span style="margin-right: 4px;" class="label label-danger pull-right">Derogación</span>
			          <span style="margin-right: 4px;" class="label label-info pull-right">Modificación</span>
			        </div>
	        	</div>
	        	<!-- /.box-header -->
	        	<div class="box-body">

		          	<table cellpadding="0" cellspacing="0" id="ordenanzas" class="table nowrap table-striped table-bordered table-hover report" width="100%">
					    <thead>
						    <tr>
						    	
								<th data-priority="1">#</th>
						        <th class="cell-center" data-priority="2">Fecha</th>
						        <th class="cell-center" data-priority="3">Texto</th>
						        <th class="cell-center">Drg</th>
						        <th class="cell-center">Vtd</th>
						        <th class="cell-center">Ins</th>
						        <th class="cell-center">Prg</th>
						        <th class="cell-center">Sus</th>
						        <th class="cell-center">Mods</th>
						         
						        <th class="none">Nº HCD</th>
						        <th class="none">Nº D.E.</th>
						        <th class="none">Letra</th>
						              
						        <th class="cell-center">Estados</th>
								<th></th>

						    </tr>
					    </thead>
					</table>

	        	</div>
	        	<!-- /.box-body -->
	      	</div>
	      	<!-- /.box -->

	    </div>
	    <!-- /.col -->
	  </div>
	  <!-- /.row -->

	</section>
	<!-- /.content -->
</div>
<!-- /.content-wrapper -->

<script type="text/javascript">
	$(document).ready(function () {

		$.fn.DataTable.ext.pager.numbers_length = 6;
		var funciones = <?php echo $level; ?>;


		var tabla = $('#ordenanzas').DataTable({

			"initComplete": function(settings, json) {
   				//tabla.columns( 0 ).search('').draw();
   				//alert(json);
   			},

			responsive: true,
			select: true,
			lengthMenu: [ 5, 10, 15, 25, 50, 100 ],
			pageLength: 15,
			processing: true,
			serverSide: true,
			//stateSave: true,
			ajax: {
			"url": 'dt_ordenanzas.php',
			"type": "POST"
     		},

			"columns": [

				{ "data": "Numero",  className: "cell-right", 'width': '6%' },
    			{ "data": 'Fecha', 'width': '8%', className: "cell-right",
					render: function ( data, type, row ) {
						if ( type === 'display' ) {
						var dateSplit = data.split('-');
						return dateSplit[2] +'/'+ dateSplit[1] +'/'+ dateSplit[0];
						}
						  return data;
						}
					},
				{ "data": "Texto", className: 'text-cut',
					"render": function (data, type, full, meta) {
                     return '<span data-toggle="tooltip" data-placement="top" data-delay="750" title="' + data + '">' + data + '</span>';
                	}							
				},
				{ "data": "Der",
					"render": function (data, type, full, meta) {
						if (data > 0) {
							return data;
						} else {
							return '';
						}
                	}
				},
				{ "data": "Vet",
					"render": function (data, type, full, meta) {
						if (data > 0) {
							return data;
						} else {
							return '';
						}
                	}
                },
				{ "data": "Ins",
					"render": function (data, type, full, meta) {
						if (data > 0) {
							return data;
						} else {
							return '';
						}
                	}
                },
				{ "data": "Pro",
					"render": function (data, type, full, meta) {
						if (data > 0) {
							return data;
						} else {
							return '';
						}
                	}
                },
				{ "data": "Sus"},
				{ "data": "Mods"},

				{ "data": "ExpHCD"},
				{ "data": "ExpDE"},
				{ "data": "Letra"},
					
        		{ "data": null, "targets" : -1, "orderable": false, "searchable": false,
					render: function ( data, type, row ) {
						if ( type === 'display' ) {
							var chain = '';
							if (row.Der > 0) { // Derogada (Estado unico)
								msg = "'Deroga la Ordenanza Nº " + row.Numero + "', 'danger'";
								chain += '<button onclick="MostrarInfo(' + row.Der + ',' + msg + ')" class="btn btn-danger btn-stt active" role="button" aria-pressed="true" data-toggle="tooltip" data-placement="top" data-delay="500" title="Derogación">' + row.Der + '</button>';
								return chain;
							}
							
							if (row.Vet > 0) { // Vetada
								chain += '<button class="btn btn-default btn-stt active" role="button" aria-pressed="true" data-toggle="tooltip" data-placement="top" title="Veto D.E.">' + row.Vet + '</button>';
							}
							if (row.Ins > 0) { // Insiste
								msg = "'Insiste la Ordenanza Nº " + row.Numero + "', 'warning'";
								chain += '<button onclick="MostrarInfo(' + row.Ins + ',' + msg + ')" class="btn btn-warning btn-stt active" role="button" aria-pressed="true" data-toggle="tooltip" data-placement="top" title="Insistencia">' + row.Ins + '</a>';
							}
							if (row.Pro > 0) { // Prorrogada
								msg = "'Prorroga la Ordenanza Nº " + row.Numero + "', 'success'";
								chain += '<button onclick="MostrarInfo(' + row.Pro + ',' + msg + ')" class="btn btn-success btn-stt active" role="button" aria-pressed="true" data-toggle="tooltip" data-placement="top" title="Prorroga">' + row.Pro + '</a>';
							}
							if (row.Sus != '') { // Suspensiones
								var a_sus = row.Sus.split('|');
								msg = "'Suspende la Ordenanza Nº " + row.Numero + "', 'primary'";
								for (var i=0; i < a_sus.length; i++) {
								chain += '<button onclick="MostrarInfo(' + a_sus[i] + ',' + msg + ')" class="btn btn-primary btn-stt active" role="button" aria-pressed="true" data-toggle="tooltip" data-placement="top" title="Suspensión">' + a_sus[i] + '</button>';	
								}
							}
							if (row.Mods != '') { // Modificaciones
								var a_mod = row.Mods.split('|');
								msg = "'Modifica la Ordenanza Nº " + row.Numero + "', 'info'";
								for (var i=0; i < a_mod.length; i++) {
								chain += '<button onclick="MostrarInfo(' + a_mod[i] + ',' + msg + ')" class="btn btn-info btn-stt active" role="button" aria-pressed="true" data-toggle="tooltip" data-placement="top" title="Modificación">' + a_mod[i] + '</button>';	
								}
							}										
							return chain;

						}
						return '';
					}
				},
				{ "data": "Id", "orderable": false, "visible": false,}

				 /*,							
				{ "data": "Id", className: 'cell-right'}					*/

    		],
			"columnDefs": [
       			{
	                "targets": [ 3,4,5,6,7,8 ],
	                "visible": false,
	                "searchable": false
	            }
			],
			"order": [[ 0, "asc" ]],

			"language": {
				"sProcessing":     "Procesando...",
				"sLengthMenu":     "Mostrar _MENU_ Registros",
				"sZeroRecords":    "No se encontraron resultados",
				"sEmptyTable":     "Ning&uacute;n dato disponible en esta tabla",
				"sInfo":           "<strong>Registros</strong> | _START_ a _END_ de _TOTAL_",
				"sInfoEmpty":      "Sin resultados...",
				"sInfoFiltered":   "(filtrado)",
				"sInfoPostFix":    "",
				"sSearch":         "",
				"sUrl":            "",
				"sInfoThousands":  ",",
				"sLoadingRecords": "Cargando...",
				"oPaginate": {
					"sFirst":    "<<",
					"sLast":     ">>",
					"sNext":     ">",
					"sPrevious": "<"
				},
				"oAria": {
					"sSortAscending":  ": Activar para ordenar la columna de manera ascendente",
					"sSortDescending": ": Activar para ordenar la columna de manera descendente"
				},
				select: {
					rows: {
						_: 'Ha seleccionado %d Registros',
						0: '<span class="text-info">Seleccione una fila para activar funciones...</span>',
						1: '<span class="text-success">Registro seleccionado.</span>'
					}
				}
			}, // Fin de Lenguaje


			dom:
				"<'row'<'col-md-4'B><'col-md-4 col-sm-6'l><'col-md-4 col-sm-6 pull-right'f>>" +
				"<'row'<'col-sm-12'tr>>" +
				"<'row'<'col-xs-12 col-md-6'<'#bn_container'><'#registro'i>><'col-xs-12 col-md-6'p>>",

				 //"<'row'<'col-sm-3'l><'col-sm-6 text-center'B><'col-sm-3'f>>" +
				 //"<'row'<'col-sm-12'tr>>" +
				 //"<'row'<'col-sm-5'i><'col-sm-7'p>>",

			buttons: [
				
				{ text: 'Nuevo',
					action: function ( e, dt, node, config ) {
						window.location.href = "nuevo.php";
					}
				},
				{ text: 'Modificar'},
				{ text: 'Eliminar'},
				
				{
					extend: 'excelHtml5',
					text: 'Excel',
					title: 'Informe de Ordenanzas',
					exportOptions: {
                    	columns: [ 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11 ]
                	}
				}
				
				//{ extend: 'print', text: 'Exportar', title: 'Ordenanzas'}
			]

		});
		


		$("#bn_container").html('<div class="input-group"><span class="input-group-addon"><i class="fa fa-hashtag" id="bn_clear" style="width: 16px;"></i></span><input type="number" id="buscar_numero" value="" style="width: 80px; margin-right: 20px;" /></div>');

		//tabla.buttons().container().appendTo( '#expedientes_wrapper .col-sm-6:eq(0)' );
		$('#rocket').click(function(){
			tabla.search( '' ).draw();
		});


		$( "#buscar" ).focusin(function() {
			//alert($('#select-destino').val());
		});

		tabla.buttons([0]).enable(
			funciones < 3 ? true : false
		);
		tabla.buttons([1,2]).disable();
		
	
		// Seleccionar para Modificar
		$('#ordenanzas').on( 'select.dt', function () {
			if (funciones < 3) {
				var ord_num = tabla.cell('.selected', 0).data();
				var ord_id = tabla.cell('.selected', 13).data();
			
				tabla.button(1).action( function( e, dt, button, config ) {
						window.location.href = "editar.php?numero=" + ord_num;
				} );
			
				tabla.button(2).action( function( e, dt, button, config ) {
						BorrarOrd(ord_num, ord_id);
				} );
			
				tabla.buttons([1,2]).enable();
			}
		} );
		
		$('#ordenanzas').on( 'deselect.dt', function () {
			if (funciones < 3) {
				var ord_num = 0;
				tabla.buttons([1,2]).disable();
			}
		} );		
		
		
		var filteredData = tabla
		    .column( 3 )
		    .data()
		    .filter( function ( value, index ) {
        		return value > 0 ? true : false;
   			});

		// Gestionar teclas en buscador numerico inferior
		$('#buscar_numero').on( 'keyup', function (tecla) {
			if (tecla.keyCode == 27) {
				this.value = '';
			}
		    tabla.columns( 0 ).search( this.value ).draw();
		});

		$('#bn_clear').click(function(){
			tabla.columns( 0 ).search('').draw();
			$('#buscar_numero').val('').focus();
		});

		function BorrarOrd(numero, id) {

			swal({
				title: '¿Eliminar Ordenanza Nº ' + numero + '..?',
				type: 'error',
				showCancelButton: true,
				focusCancel: true,
				confirmButtonColor: '#3085d6',
				cancelButtonColor: '#d33',
				confirmButtonText: 'Confirmar',
				cancelButtonText: 'Cancelar'
			}).then((result) => {
				if (result.value) {
					var parametros = { "id" : id, "numero" : numero };

					$.ajax({
						data:  parametros,
						url:   'borrar-ajax.php',
						type:  'post',
						dataType: "json",
			
						success:  function (data) {
							if (data == 1) {
								tabla.draw();
								swal({
									title: 'Ordenanza Nº ' + numero + ' Eliminada...',
									type: 'success'
								})
								
								// -----------
			
							} else {
								swal({
									title: 'Ha ocurrido un error borrando...',
									type: 'error',
									confirmButtonText: 'Cerrar'
								})
							}
						}
					})
				}
			})
		}

	

	});


	function MostrarInfo(numero, mensaje, tipo) {
		
		var parametros = { "numero" : numero };
		$.ajax({
			data:  parametros,
			url:   'buscar-ajax.php',
			type:  'post',
			dataType: "json",

			success:  function (data) {
				swal({
					title: 'Ordenanza Nº ' + data.Numero + '  |  ' + FormatFecha(data.Fecha) + '&nbsp;',
					html: '<p class="label label-' + tipo + '">' + mensaje + '</p><p class="alert-text">' + data.Texto + '</p>',
					width: '50%',
					confirmButtonText: 'Cerrar'
				})				
			}
		});
	}
	
	function FormatFecha(oldDate) {
		var newDate = oldDate.split("-").reverse().join("/");
		return newDate;
	}
	
</script>

<?php
include($iniUrl . 'footer.php');
?>
